language: cpp
compiler:
  - clang
  - gcc
script: "./.travis/build"
before_install:
  - git submodule update --init --recursive
  - sudo apt-get update -qq
  - sudo apt-get install -qq doxygen doxygen-latex libboost-all-dev libeigen3-dev liblapack-dev libblas-dev gfortran
  - sudo pip install cpp-coveralls --use-mirrors
after_success:
  - coveralls -e _travis/install -e tests
  - git config --global user.name "Travis CI"
  - git config --global user.email "thomas.moulard+travis@gmail.com"
  - git remote set-url origin https://thomas-moulard:${GH_TOKEN}@github.com/stack-of-tasks/dynamic-graph.git
  - git fetch origin gh-pages:gh-pages
  - cd _travis/build/doc && ../../../cmake/github/update-doxygen-doc.sh
notifications:
  email:
    - hpp-source@laas.fr
branches:
  only:
    - master
matrix:
  allow_failures:
    - compiler: clang
env:
  global:
    secure: "Slm+HqRT+Vy0SG7E9gEShuHvNz6XWRUmBhVBLVJEaYy/0Lo2qp4OjFEWDjiJwFIiXstW2Wclds4SuewAn3Tc4x7dsY+5uaMCX7S/HPzsBCjLXUwjKasUqEGaVTIYmtFJm57hOkz6K2SLUUV4intkMiwtCiq/R0xe92QTTKkHyfo="
